---
name: Reproducible Bug Report
about: Is something not working as expected?
title: ''
labels: 'bug'
assignees: ''

---

<!--
Hi! Thanks for considering to file a bug with Terraspace. Please take the time to
answer the basic questions. Please try to be as detailed as possible.
To be sensitive to everyone's time, if not enough details are provided, the
issue may be closed without comment. If you repeatedly fail to provide enough
details, you may be blocked from ever submitting issues to Terraspace again.
Please use your best judgment. 👍

If you are unsure this is a bug in Terraspace, please consider asking your question at:
https://community.boltops.com

Thanks!
-->

## Checklist

<!--
Make sure that you've done all of these.  To mark a checkbox done, replace [ ] with [x]. Or after you create the issue you can click the checkbox.
-->

- [ ] Upgrade Terraspace: Are you using the latest version of Terraspace? This allows Terraspace to fix issues fast. There's an Upgrading Guide: https://terraspace.cloud/docs/misc/upgrading/
- [ ] Reproducibility: Are you reporting a bug others will be able to reproduce and not asking a question. If you're unsure or want to ask a question, do so on https://community.boltops.com
- [ ] Code sample: Have you put together a code sample to reproduce the issue and make it available?  Code samples help speed up fixes dramatically. If it's an easily reproducible issue, then code samples are not needed. If you're unsure, please include a code sample.

## My Environment

<!-- Please fill out the table below with debugging info to help: -->

| Software         | Version |
| ---------------- | ------- |
| Operating System |         |
| Terraform        |         |
| Terraspace       |         |
| Ruby             |         |

---

## Expected Behaviour

<!--
What is it you expected to happen? This should be a description of how the functionality you tried to use is supposed to work. Try to keep this to one-paragraph.
-->

## Current Behavior

<!--
Describe the details of the bug.  Try to keep this to one-paragraph.
-->

## Step-by-step reproduction instructions

<!--
Be sure to include any steps you took for the problem to exist. This is likely the longest part of the report.

Please include any logs you think relevant here. If the logs are long (more than 50 lines) please make a gist of the logs and link to it. https://gist.github.com

With long logs, you can also use the <details> tag to keep the report readable. Example:

<details>
 <summary>Summary Goes Here</summary>

 ...this is hidden, collapsable content. start with a blank line to get terminal output to format right...
</details>
-->

## Code Sample

<!--
Please provide a code repository, gist, code snippet or sample files to reproduce the issue.
-->

## Solution Suggestion

<!--
Please provide possible solutions. If you can't think of anything, feel free to omit. Please be kind and add helpful possible solutions.  For example, "Fix it!" is not a helpful solution suggestion. We are mere mortals. Please be constructive.
-->
